PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerExodusIIOpen

Opens a file for ExodusII input/output.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIOpen(MPI_Comm comm, const char name[], PetscFileMode type, PetscViewer *exo)

Collective

### Input Parameters

| comm | - MPI communicator
| name | - name of file
| type | - type of file

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input

       FILE_MODE_APPEND - open existing file for binary output

### Output Parameter

| exo | - PetscViewer for Exodus II input/output to use with the specified file

### Note

This PetscViewer should be destroyed with PetscViewerDestroy().

### See Also

PetscViewerPushFormat(), PetscViewerDestroy(),
DMLoad(), PetscFileMode, PetscViewer, PetscViewerSetType(), PetscViewerFileSetMode(), PetscViewerFileSetName()

### Level

beginner

### Location

src/dm/impls/plex/plexexodusii.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages